@import "breakpoints";

.horizontal-centered-block {
  position: relative;
  margin: 0 auto;
  min-width: 260px;
  width: 100%;
  max-width: 1000px;

  .theme-header {
    position: relative;
    font-size: 18px;
    font-weight: 600;
    padding: 0;

    .back-btn {
      display: inline-block;
      padding: 9px 10px 0 0;
      vertical-align: top;
    }

    .header-title {
      display: inline-block;
      vertical-align: top;
      padding: 15px 15px 15px 10px;
    }

    .refresh-btn {
      position: absolute;
      right: 5px;
      top: 0;
      color: var(--fg-disabled);
      cursor: pointer;
      font-size: 22px;

      &:hover {
        color: var(--fg-hover);
      }
    }

    .load-indicator {
      position: absolute;
      right: 0;
      top: -5px;
    }
  }

  .theme-content {
    padding: 15px 0 25px 0;

    tr.attribute-row {
      padding: 15px;

      td.attribute-label {
        padding: 10px 15px 10px 5px;
        font-weight: 600;
      }

      td.attribute-value {
        padding: 10px 5px 10px 15px;
        overflow-wrap: break-word;
      }
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
